package de.hdm_stuttgart.mi.sd1.figure.model;

public abstract class Figure {
     
   private double x,y;
   
   public Figure(double x, double y) {
      setX(x);
      setY(y);
   }
   
   // To be implemented in derived classes Rectangle and Circle
   public abstract double getArea();
   public abstract double getPerimeter();
   
   public double getX() { return x;}
   public void setX(double x) { this.x = x;}
   public double getY() { return y;}
   public void setY(double y) { this.y = y;}
   
   public final Figure move(double x, double y) {
      setX(getX() + x);
      setY(getY() + y);
      return this;
   }
}